#include <print>

import Window;

// main() Funktion
int main()
{
    // 2 Rechteck Objekte definieren
    Window firstWin;
    Window secondWin;
     // Daten der Window-Objekte setzen
    firstWin.SetData(10,20,"Fenster Eins");
    secondWin.SetData(11,22,"Fenster Zwei");

    // Window-Daten ausgeben
    std::println("1. Fenster:");
    firstWin.Draw();
    std::println("2. Fenster:");
    secondWin.Draw();

    // Zweites Window-Objekt gleich erstem Objekt setzen
    secondWin.SetData(firstWin);

    // Daten des zweiten Objekts ausgeben
    std::println("2. Window gleich 1. Window gesetzt:");
    secondWin.Draw();
}
